"""
TBD
"""

__author__ = "Lukas Mahler"
__version__ = "0.2.0"
__date__ = "23.09.2021"
__email__ = "m@hler.eu"
__status__ = "Development"


# Default
import threading


class MyTimer(threading.Timer):
    def run(self):
        while not self.finished.wait(self.interval):
            self.function(*self.args, **self.kwargs)


def maketimer(cooldown, func):
    timer = MyTimer(cooldown, func)
    timer.daemon = True
    return timer


if __name__ == "__main__":
    exit()
